%global dlrn_nvr python-novaclient-17.4.1-1.20220917063708.5ee4427
%global dlrn 1
%define upstream_version 17.4.1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname novaclient
%global with_doc 0

%global common_desc \
This is a client for the OpenStack Nova API. There's a Python API (the \
novaclient module), and a command-line script (nova). Each implements 100% of \
the OpenStack Nova API.

Name:             python-novaclient
Epoch:            1
Version: 17.4.1
Release: 1.20220917063708.5ee4427%{?dist}
Summary:          Python API and CLI for OpenStack Nova
License:          ASL 2.0
URL:              https://launchpad.net/%{name}
Source0: python-novaclient-17.4.1-1.20220917063708.5ee4427.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=5ee44275f64fe43aa4917301a9af63d81c0db9ee

BuildArch:        noarch

BuildRequires:  git-core
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python3-%{sname}
Summary:          Python API and CLI for OpenStack Nova
%{?python_provide:%python_provide python3-novaclient}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires:    python3-devel
BuildRequires:    python3-pbr
BuildRequires:    python3-setuptools

Requires:         python3-iso8601 >= 0.1.11
Requires:         python3-keystoneauth1 >= 3.5.0
Requires:         python3-oslo-i18n >= 3.15.3
Requires:         python3-oslo-serialization >= 2.18.0
Requires:         python3-oslo-utils >= 3.33.0
Requires:         python3-pbr >= 2.0.0
Requires:         python3-prettytable >= 0.7.2
Requires:         python3-stevedore >= 2.0.1

%description -n python3-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Nova API Client

BuildRequires:    python3-sphinx
BuildRequires:    python3-sphinxcontrib-apidoc
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-oslo-utils
BuildRequires:    python3-keystoneauth1
BuildRequires:    python3-oslo-serialization
BuildRequires:    python3-osprofiler
BuildRequires:    python3-prettytable

%description      doc
%{common_desc}

This package contains auto-generated documentation.
%endif

%prep
%autosetup -n %{name}-%{upstream_version} -S git

# Let RPM handle the requirements
%py_req_cleanup

%build
%{py3_build}

%install
%{py3_install}
# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s nova %{buildroot}%{_bindir}/nova-3

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/nova.bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/nova

# Delete tests
rm -fr %{buildroot}%{python3_sitelib}/novaclient/tests

%if 0%{?with_doc}
sphinx-build -b html doc/source doc/build/html
sphinx-build -b man doc/source doc/build/man

install -p -D -m 644 doc/build/man/nova.1 %{buildroot}%{_mandir}/man1/nova.1

# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo doc/build/html/.htaccess
%endif

%files -n python3-%{sname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{sname}
%{python3_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d
%if 0%{?with_doc}
%{_mandir}/man1/nova.1.gz
%endif
%{_bindir}/nova
%{_bindir}/nova-3

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Sat Sep 17 2022 OSP Prod Chain <dev-null@redhat.com> 1:17.4.1-1.20220917063708.5ee4427
- Update patches
- When creating a client, pass the default logger
- Use well named anchor into the microversion history
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 1:17.4.0-1.20220830143412.54d4da1
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1:17.4.0-1.20220727110253.54d4da1
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1:17.4.0-0.20220712113052.54d4da1
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:17.4.0-0.20210527224752.54d4da1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 1:17.4.0-1
- Update patches

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add support for microversion v2.88
- requirements: Remove simplejson
- Uncap PrettyTable

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Deprecate agent commands and APIs
- Fix undesirable raw Python error
- Fix a functional test for 'nova agent-list'
- Remove Babel from lower-constraints.txt
- Cleanup py27 support
- Remove the unused coding style modules
- Remove install unnecessary packages
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- zuul functional job: drop the custom playbooks
- Remove unused code
- Add a cleanup for a server in a functional test

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- migrate testing to ubuntu focal
- Switch legacy Zuul jobs to native Zuul v3 jobs
- use stevedore to load extensions

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove Babel requirement
- Add link to PDF document
- Switch to newer openstackdocstheme and reno versions
- Bump hacking min version to 3.0.1
- Remove mock in lower-constraints.txt
- Use unittest.mock instead of third party mock
- Remove future imports
- doc: Update Testing document
- Bump default tox env from py37 to py38
- Switch to using TOX_CONSTRAINTS_FILE
- Add py38 package metadata
- [Community goal] Update contributor documentation
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Microversion 2.87 - Stable device boot from volume rescue
- [Trivial] FUP: Enhanced description for 'server list --config-drive' help
- FUP: Add volume-update CLI pre V285 tests
- Microversion 2.86 - Extra spec validation
- Microversion 2.85: Change volume-update CLI
- Make 'server list --config-drive' a boolean option
- Microversion 2.84 - action event fault details
- Microversion 2.83 - Add more filters for the nova list command
- Update to hacking 3.0
- Microversion 2.82 - nova cyborg interaction
- Don't print user_data for 'nova show'
- Random cleanups
- Bump to hacking 2.x
- Remove six
- tox: Configure 'ignore_basepython_conflict'
- setup.cfg: Various Python 3 fixes
- trivial: Remove 'u' prefix from string
- doc: Update Testing document
- doc: Fix supported version descriptions
- Stop supporting and testing python2
- Switch to Ussuri jobs
- Add minor version [21] to the test_versions

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add functional test for migration-list in v2.80"
- Add aggregate-cache-images command and client routines
- Add images.GlanceManager.find_images() bulk query
- Add functional test for migration-list in v2.80
- Microversion 2.80: Add user_id/project_id to migration-list API
- PDF documentation build
- Merge "Clarify --migration-type migration value as cold migration"
- Remove cells v1 and extension commands and APIs
- Add release note for bug 1845322
- Stop silently ignoring invalid 'nova boot --hint' options
- Merge "Add a check for --config-drive option on nova boot"
- Update master for stable/train
- Add a check for --config-drive option on nova boot
- doc: Add support microversions for options
- Clarify --migration-type migration value as cold migration


